# frozen_string_literal: true

module Composable
  module View
    class Component < ViewComponent::Base
      include Core::AttributeDSL
      include ActiveModel::Validations

      def self.new(...)
        super(...).tap(&:validate!)
      end
    end
  end
end
